# Check whether --enable-xmldoc was given.
if test "${enable_xmldoc+set}" = set; then
  enableval=$enable_xmldoc; case "${enableval}" in
                y|ye|yes) disable_xmldoc=no ;;
                n|no)  disable_xmldoc=yes ;;
                *) { { echo "$as_me:$LINENO: error: bad value ${enableval} for --disable-xmldoc" >&5
echo "$as_me: error: bad value ${enableval} for --disable-xmldoc" >&2;}
   { (exit 1); exit 1; }; }  ;;
        esac
else
  disable_xmldoc=no
fi

if test "${disable_xmldoc}" != "yes"; then

    if test "x${PBX_LIBXML2}" != "x1" -a "${USE_LIBXML2}" != "no"; then
        PBX_LIBXML2=0
        if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}xml2-config", so it can be a program name with args.
set dummy ${ac_tool_prefix}xml2-config; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_CONFIG_LIBXML2+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  if test -n "$CONFIG_LIBXML2"; then
  ac_cv_prog_CONFIG_LIBXML2="$CONFIG_LIBXML2" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
    ac_cv_prog_CONFIG_LIBXML2="${ac_tool_prefix}xml2-config"
    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
done
IFS=$as_save_IFS

fi
fi
CONFIG_LIBXML2=$ac_cv_prog_CONFIG_LIBXML2
if test -n "$CONFIG_LIBXML2"; then
  { echo "$as_me:$LINENO: result: $CONFIG_LIBXML2" >&5
echo "${ECHO_T}$CONFIG_LIBXML2" >&6; }
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi


fi
if test -z "$ac_cv_prog_CONFIG_LIBXML2"; then
  ac_ct_CONFIG_LIBXML2=$CONFIG_LIBXML2
  # Extract the first word of "xml2-config", so it can be a program name with args.
set dummy xml2-config; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_ac_ct_CONFIG_LIBXML2+set}" = set; then
  echo $ECHO_N "(cached) $ECHO_C" >&6
else
  if test -n "$ac_ct_CONFIG_LIBXML2"; then
  ac_cv_prog_ac_ct_CONFIG_LIBXML2="$ac_ct_CONFIG_LIBXML2" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for ac_exec_ext in '' $ac_executable_extensions; do
  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
    ac_cv_prog_ac_ct_CONFIG_LIBXML2="xml2-config"
   echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
done

IFS=$as_save_IFS

fi
fi
ac_ct_CONFIG_LIBXML2=$ac_cv_prog_ac_ct_CONFIG_LIBXML2
if test -n "$ac_ct_CONFIG_LIBXML2"; then
  { echo "$as_me:$LINENO: result: $ac_ct_CONFIG_LIBXML2" >&5
echo "${ECHO_T}$ac_ct_CONFIG_LIBXML2" >&6; }
else
  { echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi

  if test "x$ac_ct_CONFIG_LIBXML2" = x; then
    CONFIG_LIBXML2="No"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
whose name does not start with the host triplet.  If you think this
configuration is useful to you, please write to autoconf@gnu.org." >&5
echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
whose name does not start with the host triplet.  If you think this
configuration is useful to you, please write to autoconf@gnu.org." >&2;}
ac_tool_warned=yes ;;
esac
    CONFIG_LIBXML2=$ac_ct_CONFIG_LIBXML2
  fi
else
  CONFIG_LIBXML2="$ac_cv_prog_CONFIG_LIBXML2"
fi
 if test ! "x${CONFIG_LIBXML2}" = xNo; then
if test x"" = x ; then A=--cflags ; else A="" ; fi
            LIBXML2_INCLUDE=$(${CONFIG_LIBXML2} $A)
            if test x"" = x ; then A=--libs ; else A="" ; fi
            LIBXML2_LIB=$(${CONFIG_LIBXML2} $A)
            if test x"#include <libxml/tree.h>
        #include <libxml/parser.h>" != x ; then
                saved_cppflags="${CPPFLAGS}"
                if test "x${LIBXML2_DIR}" != "x"; then
                    LIBXML2_INCLUDE="-I${LIBXML2_DIR}/include"
                fi
                CPPFLAGS="${CPPFLAGS} ${LIBXML2_INCLUDE}"

                saved_libs="${LIBS}"
                LIBS="${LIBXML2_LIB}"

                cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h.  */
 #include <libxml/tree.h>
        #include <libxml/parser.h>
int
main ()
{
 LIBXML_TEST_VERSION;

  ;
  return 0;
}
_ACEOF

rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
  (eval "$ac_link") 2>conftest.er1
  ac_status=$?
  grep -v '^ *+' conftest.er1 >conftest.err
  rm -f conftest.er1
  cat conftest.err >&5
  echo "$as_me:$LINENO: \$? = $ac_status" >&5
  (exit $ac_status); } && {
         test -z "$ac_c_werror_flag" ||
         test ! -s conftest.err
       } && test -s conftest$ac_exeext &&
       $as_test_x conftest$ac_exeext; then
     PBX_LIBXML2=1

cat >>confdefs.h <<\_ACEOF
#define HAVE_LIBXML2 1
_ACEOF


else
  echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5



fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
      conftest$ac_exeext conftest.$ac_ext
                CPPFLAGS="${saved_cppflags}"
                LIBS="${saved_libs}"
            else
                PBX_LIBXML2=1

cat >>confdefs.h <<\_ACEOF
#define HAVE_LIBXML2 1
_ACEOF
 fi
        fi
    fi

        if test "${PBX_LIBXML2}" != 1; then
                { echo "$as_me:$LINENO: *** XML documentation will not be available because the 'libxml2' development package is missing." >&5
echo "$as_me: *** XML documentation will not be available because the 'libxml2' development package is missing." >&6;}
                { echo "$as_me:$LINENO: *** Please run the 'configure' script with the '--disable-xmldoc' parameter option" >&5
echo "$as_me: *** Please run the 'configure' script with the '--disable-xmldoc' parameter option" >&6;}
                { echo "$as_me:$LINENO: *** or install the 'libxml2' development package." >&5
echo "$as_me: *** or install the 'libxml2' development package." >&6;}
                exit 1
        fi
fi
